package com.quyunshuo.module.home.fragment.fragment

import android.util.Log
import androidx.fragment.app.viewModels
import com.quyunshuo.androidbaseframemvvm.base.utils.SpUtils
import com.quyunshuo.androidbaseframemvvm.common.constant.MMKVName
import com.quyunshuo.androidbaseframemvvm.common.ui.BaseFragment
import com.quyunshuo.module.home.databinding.HomeFragmentSleepBlockBinding
import com.quyunshuo.module.home.fragment.vm.UserLoginFragmentVM
import dagger.hilt.android.AndroidEntryPoint


/**
 * 首页Fragment
 *
 * @author Qu Yunshuo
 * @since 2021/8/1 11:46 下午
 */
@AndroidEntryPoint
class BlockFragment : BaseFragment<HomeFragmentSleepBlockBinding, UserLoginFragmentVM>(){
    private val TAG = "UserLoginFragment"

    override val mViewModel: UserLoginFragmentVM by viewModels()
    override fun createVB() = HomeFragmentSleepBlockBinding.inflate(layoutInflater)

    override fun HomeFragmentSleepBlockBinding.initView() {
        //1. 设置屏幕显示的文本
        //2. 设置为休眠模式
        SpUtils.putBoolean(MMKVName.BLOCK,true)
        //3. 上传状态到后台
    }

    override fun initObserve() {
    }

    override fun initRequestData() {
    }


    override fun onDestroy() {
        super.onDestroy()
        Log.d(TAG, "onDestroy: ")
    }


}